=== debian/changelog ===
sdl12-compat (1.2.64-5) unstable; urgency=medium

  * Release to unstable (transition: #1039911)
    - The source package doesn't contain X11 extensions (Closes: #465780)
    - libsdl1.2debian no longer links to the GPL libcaca library
      (Closes: #871807)
    - This version of SDL_opengl.h no longer includes glext.h
      (Closes: #925324)
    - This finally makes libsdl1.2-dev multiarch co-installable
      (Closes: #932372)

 -- Simon McVittie <smcv@debian.org>  Tue, 11 Jul 2023 21:43:08 +0100

sdl12-compat (1.2.64-4+exp1) experimental; urgency=medium

  * Take over libsdl1.2debian, libsdl1.2-dev from SDL 1.2 classic.
    This makes sdl12-compat into Debian's default implementation of
    the SDL 1.2 API and ABI. libsdl1.2-compat{,-shim,-dev} become
    transitional packages; for full compatibility with the way
    libsdl1.2-compat used to work, it still contains symlinks in
    /usr/lib/*/sdl12-compat, which can be LD_PRELOADed or prepended to the
    LD_LIBRARY_PATH.
  * Upload to experimental until we're ready to do this transition

 -- Simon McVittie <smcv@debian.org>  Thu, 29 Jun 2023 12:28:24 +0100

sdl12-compat (1.2.64-4) unstable; urgency=medium

  * Add patches from upstream for better bug-for-bug compatibility with
    recompiling SDL 1.2 code
    - d/p/SDL_config.h-Assume-that-all-platforms-have-ISO-C89-stdde.patch:
      Always include <stddef.h>, which berusky assumes we will do
      (mitigates: #1039439)
    - d/p/include-Use-struct-private_hwdata-incomplete-type-for-API.patch:
      Use the same naming for a private struct member that asc assumes we
      will do (mitigates: #1039574)
    - d/p/SDL_config-Define-HAVE_MALLOC_H-on-glibc-based-platforms.patch:
      Define HAVE_MALLOC_H, which freespace2 assumes we will do
      (mitigates: #1012232)
  * d/p/debian/sdl-config-Remove-libdir-for-multiarch-co-installability.patch:
    Move to debian subdirectory to distinguish this non-upstreamable patch

 -- Simon McVittie <smcv@debian.org>  Thu, 29 Jun 2023 10:55:32 +0100

sdl12-compat (1.2.64-3) unstable; urgency=medium

  * d/control: libsdl1.2-compat-dev depends on GL, GLU headers.
    <SDL/SDL_opengl.h> depends on these, and some SDL-dependent packages
    like achilles and antigrav have also traditionally assumed that the
    SDL -dev package would arrange for GL headers to be provided.
    (Mitigates: #1039072)
  * d/control: libsdl1.2-compat-dev Depends on pkgconf.
    This is a workaround for packages that assumed that a dependency
    on libsdl1.2-dev would pull in pkg-config and therefore provide the
    pkg.m4 macros, such as adplay.
    (Mitigates: #1039074)
  * d/control: Make libsdl1.2-compat-dev depend on libsdl2-dev.
    This is not actually a real dependency, but it's an easy way to pull
    in a lot of the packages that libsdl1.2-dev traditionally depended
    on without having to list them explicitly, making it less likely
    that dependent packages will FTBFS with libsdl1.2-compat-dev.

 -- Simon McVittie <smcv@debian.org>  Mon, 26 Jun 2023 11:09:53 +0100

sdl12-compat (1.2.64-2) unstable; urgency=medium

  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 12 Jun 2023 14:23:44 +0100

sdl12-compat (1.2.64-1) experimental; urgency=medium

  * New upstream release
    - Compatibility with: Steel Storm Burning Retribution
      (based on an older darkplaces engine)

 -- Simon McVittie <smcv@debian.org>  Thu, 01 Jun 2023 10:34:32 +0100

sdl12-compat (1.2.62-1) experimental; urgency=medium

  * New upstream prerelease
    - Compatibility with: Alpha Centauri, tuxfootball, xrick
    - Quirk workarounds for: freedroid, grafx2
  * d/patches: Drop most patches, included upstream
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Thu, 18 May 2023 17:29:51 +0100

sdl12-compat (1.2.60-2) experimental; urgency=medium

  * d/patches: Add post-release bug fixes from upstream.
    This fixes compatibility with boswars, fillets-ng and pink-pony.

 -- Simon McVittie <smcv@debian.org>  Wed, 30 Nov 2022 15:28:25 +0000
