=== debian/changelog ===
sdl12-compat (1.2.68-2) unstable; urgency=medium

  * d/p/sdl.m4-Call-PKG_CONFIG-rather-than-hard-coding-pkg-config.patch:
    Add patch from upstream git to fix cross-compilation of ltris and
    possibly others. Thanks to Helmut Grohne (Closes: #1059749)

 -- Simon McVittie <smcv@debian.org>  Tue, 02 Jan 2024 15:09:33 +0000

sdl12-compat (1.2.68-1) unstable; urgency=medium

  * New upstream stable release
    - Functionally equivalent to 1.2.66

 -- Simon McVittie <smcv@debian.org>  Tue, 26 Sep 2023 19:57:49 +0100

sdl12-compat (1.2.66-1) unstable; urgency=medium

  * New upstream prerelease (1.2.68 rc1)
    - Avoid reporting unscaled mouse coordinates, fixing mouse offset in
      Sid Meier's Alpha Centauri
    - Make it possible to limit bits-per-pixel to a value from a hint/quirk
    - Quirk workaround for: Hyperspace Delivery Boy
  * d/gbp.conf: Back to the debian/latest branch

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Sep 2023 09:27:02 +0100

sdl12-compat (1.2.64+git20230904+g9359cfa-1) experimental; urgency=medium

  * New upstream git snapshot
    - Improve compatibility with games that incorrectly try to free the
      video surface (Closes: #1041416)
    - Add a hint/quirk for forcing XInitThreads to be called
    - Add quirks table entries for Mark of the Ninja (Closes: #1051106)
      and Trine
    - Fix return value of SDL_SetPalette(): 0 on error, 1 on success
    - Fix a crash if SDL_LoadWAV() fails to open the file
    - Improve compile-time robustness with newer SDL2
    - Update included copy of dr_mp3 (no functional changes)
    - macOS- and OS/2-specific changes not relevant to Debian
  * d/p/SDL_config.h-Assume-that-all-platforms-have-ISO-C89-stdde.patch,
    d/p/include-Use-struct-private_hwdata-incomplete-type-for-API.patch,
    d/p/SDL_config-Define-HAVE_MALLOC_H-on-glibc-based-platforms.patch:
    Drop patches, applied upstream
  * d/gbp.conf, d/watch.git-snapshots: Configure for git snapshots

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Sep 2023 16:06:09 +0100
