=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 include /usr/share/dpkg/default.mk
 
 # used in dh_install, dh_link
-export DEB_VERSION_UPSTREAM
+export ABI_VERSION=$(DEB_VERSION_UPSTREAM)
 
 %:
 	dh $@ -Scmake
