=== debian/changelog ===
sdl12-compat (1.2.69~git20250930~6152f8d-1) experimental; urgency=medium

  * New upstream snapshot, release-1.2.68-54-g6152f8d
  * d/p/sdl.m4-Call-PKG_CONFIG-rather-than-hard-coding-pkg-config.patch:
    Drop patch, applied upstream
  * d/copyright: Update
  * d/libsdl1.2debian.symbols: Update
  * d/control: Use debian/snapshots git branch
  * d/control, d/rules: Use cmake+ninja for build
  * d/control, d/rules: ${sdl12compat:Takeover-Version} doesn't need
    to vary. The transition from "classic" SDL 1.2 to sdl12-compat
    happened in Debian 13.
  * d/watch*: Convert to uscan format v5
  * d/upstream/signing-key.asc: Add.
    This is only a 1024-bit DSA key, but it's better than nothing.
  * Reformat packaging files with debputy
  * Standards-Version: 4.7.2 (no changes required)
  * Remove Rules-Requires-Root, not needed since Debian 13

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Sep 2025 21:52:14 +0100

sdl12-compat (1.2.68-3) unstable; urgency=medium

  * d/control: Make the Maintainer consistent with other SDL packages

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Mar 2025 19:34:58 +0000
