=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: sdl12-compat
+X-Style: black
 Priority: optional
-Maintainer: Debian SDL package maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
+Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders:
  Simon McVittie <smcv@debian.org>,
  Stephen Kitt <skitt@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  cmake,
- debhelper-compat (= 13),
  libglu1-mesa-dev,
  libsdl2-dev,
  libx11-dev,
-Standards-Version: 4.6.2
+ ninja-build,
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://github.com/libsdl-org/sdl12-compat
-Vcs-Git: https://salsa.debian.org/sdl-team/sdl12-compat.git
+Vcs-Git: https://salsa.debian.org/sdl-team/sdl12-compat.git -b debian/snapshots
 Vcs-Browser: https://salsa.debian.org/sdl-team/sdl12-compat
-Rules-Requires-Root: no
 
 Package: libsdl1.2-compat
 Section: oldlibs
@@ -56,11 +57,11 @@
  libsdl-dev (= ${binary:Version}),
  libsdl1.2-compat-dev (= ${binary:Version}),
 Breaks:
- libsdl-dev (<< ${sdl12compat:Takeover-Version}~),
- libsdl1.2-compat-dev (<< ${sdl12compat:Takeover-Version}~),
+ libsdl-dev (<< 1.2.64-4+exp1~),
+ libsdl1.2-compat-dev (<< 1.2.64-4+exp1~),
 Replaces:
- libsdl-dev (<< ${sdl12compat:Takeover-Version}~),
- libsdl1.2-compat-dev (<< ${sdl12compat:Takeover-Version}~),
+ libsdl-dev (<< 1.2.64-4+exp1~),
+ libsdl1.2-compat-dev (<< 1.2.64-4+exp1~),
 Description: SDL 1.2 binary compatibility library - development files
  sdl12-compat provides a binary compatible API for programs built
  against SDL 1.2, but using SDL 2.0.
@@ -83,11 +84,11 @@
  libsdl-1.2-0 (= ${binary:Version}),
  libsdl1.2-compat-shim (= ${binary:Version}),
 Breaks:
- libsdl1.2-compat (<< ${sdl12compat:Takeover-Version}~),
- libsdl1.2-compat-shim (<< ${sdl12compat:Takeover-Version}~),
+ libsdl1.2-compat (<< 1.2.64-4+exp1~),
+ libsdl1.2-compat-shim (<< 1.2.64-4+exp1~),
 Replaces:
- libsdl1.2-compat (<< ${sdl12compat:Takeover-Version}~),
- libsdl1.2-compat-shim (<< ${sdl12compat:Takeover-Version}~),
+ libsdl1.2-compat (<< 1.2.64-4+exp1~),
+ libsdl1.2-compat-shim (<< 1.2.64-4+exp1~),
 Description: SDL 1.2 binary compatibility library wrapping SDL 2.0
  This package contains sdl12-compat, a binary compatible API for programs built
  against SDL 1.2, but using SDL 2.0.
@@ -123,8 +124,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ libsdl1.2-compat (>= ${binary:Version}),
  libsdl1.2debian (>= ${binary:Version}),
- libsdl1.2-compat (>= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: libsdl1.2debian replacement using SDL 2.0 - transitional package
