## sdl12-compat 1.2.69~git20251026~20ab160

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,7 @@
 #        cmake -DSDL2_INCLUDE_DIR=/opt/SDL2/include/SDL2 [other stuff]
 
 cmake_minimum_required(VERSION 3.0.0...4.0)
-project(sdl12_compat
-        VERSION 1.2.69
-        LANGUAGES C)
+project(sdl12_compat VERSION 1.2.69 LANGUAGES C)
 
 option(SDL12TESTS "Enable to build SDL-1.2 test programs" ON)
 option(SDL12DEVEL "Enable installing SDL-1.2 development headers" ON)
@@ -295,6 +293,13 @@
 
     configure_file("${CMAKE_CURRENT_SOURCE_DIR}/sdl-config.in" "${CMAKE_CURRENT_BINARY_DIR}/sdl-config" @ONLY)
     install(PROGRAMS "${CMAKE_CURRENT_BINARY_DIR}/sdl-config" DESTINATION bin)
+
+    # uninstall
+    if(NOT TARGET uninstall)
+      configure_file(cmake/cmake_uninstall.cmake.in "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)
+      add_custom_target(uninstall
+        COMMAND ${CMAKE_COMMAND} -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
+    endif()
   endif()
 
   set(SOEXT ${CMAKE_SHARED_LIBRARY_SUFFIX})
@@ -307,10 +312,3 @@
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libSDL${SOPOSTFIX}${SOEXT} DESTINATION "${CMAKE_INSTALL_LIBDIR}")
   endif()
 
-  install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/sdl.m4" DESTINATION "${CMAKE_INSTALL_FULL_DATAROOTDIR}/aclocal")
-endif()
-
-if(STATICDEVEL AND SDL12DEVEL)
-  add_library(SDL-static STATIC ${SDL12COMPAT_SRCS})
-  target_include_directories(SDL-static PRIVATE ${SDL2_INCLUDE_DIRS})
-  set_target_properties(SDL-static PROPERTIES COMPILE_DEFINITIONS "_REENTRANT")
