=== debian/changelog ===
sdl12-compat (1.2.69~git20251026~20ab160-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream snapshot, commit release-1.2.68-66-g20ab160
  * d/copyright: Update

  [ Antoine Le Gonidec ]
  * Add myself to Uploaders, I am going to need this through ./play.it
    for the foreseeable future.

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Oct 2025 15:16:21 +0000
